<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net8.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="FluentResults" Version="3.15.2" />
        <PackageReference Include="Newtonsoft.Json">
            <Version>13.0.3</Version>
        </PackageReference>
        <PackageReference Include="System.Collections.Immutable" Version="9.0.0-preview.4.24266.19" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\inabox.logging.shared\InABox.Logging.Shared.csproj" />
        <ProjectReference Include="..\InABox.Scripting\InABox.Scripting.csproj" />
    </ItemGroup>

    <ItemGroup>
        <Compile Remove="archive\**" />
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Remove="archive\**" />
    </ItemGroup>

    <ItemGroup>
        <None Remove="archive\**" />
        <None Remove=".gitignore" />
    </ItemGroup>

</Project>
